> For the complete documentation index, see [llms.txt](https://docs.aviator.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aviator.co/pilot-automated-actions/scheduled-events.md).

# Scheduled Events

With the Aviator Pilot framework, you can configure rules to trigger actions on a specific fixed schedule. Get instructions on configuring a schedule here.

Using the Aviator Pilot framework, you can set up rules to trigger actions on a fixed schedule. For instance, you can use schedules to set up a schedule to automatically pause / unpause the MergeQueue, or trigger a nightly job to run your builds

## Configuring schedule

Schedule configuration accepts a [<mark style="color:blue;">unix cron format</mark>](https://www.ibm.com/docs/en/db2/11.5?topic=task-unix-cron-format) that provides enough configurability to set up automated rules. Here’s a quick example that will pause the queue at 11pm UTC.

```
scenarios:
- name: pause the queue
  trigger:
    schedule:
      # pause the queue at 11pm UTC every Friday
      cron_utc: "0 23 * * 5"
  actions:
    - mergequeue: pause
```

Similarly, you can set up a nightly job to trigger a CI to run 5 times to identify any flaky tests.

```
scenarios:
- name: "nightly build"
  trigger:
    schedule:
      cron_utc: "0 12 * * *" # Every day at 12pm UTC
  actions:
    - test_suite:
      rerun:
        name: "buildkite/pytest"
        count: 5
        use_latest_green_commit: true
        branch: "master"

```

{% hint style="info" %}
Currently Pilot framework only support precision of 1 hour, so the events will only be triggered at most once an hour. If you have use cases where you may need more frequent scenarios, please email us at <info@aviator.co>.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aviator.co/pilot-automated-actions/scheduled-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
